package com.abcsz.litigationcase.controller;


import com.abcsz.litigationcase.domain.ro.UserLoginRo;
import com.abcsz.litigationcase.domain.ro.UserOutRo;
import com.abcsz.litigationcase.domain.ro.UserRo;
import com.abcsz.litigationcase.domain.vo.PublicVo;
import com.abcsz.litigationcase.domain.vo.UserLoginVo;
import com.abcsz.litigationcase.service.UserLoginService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 用户登陆记录表 前端控制器
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-28
 */
@RestController
@RequestMapping("/userLoginEntity")
public class UserLoginController {
    @Autowired
    private UserLoginService userLoginService;

    @ApiOperation("用户登陆登记")
    @PostMapping("/login")
    public UserLoginVo login(@RequestBody @Validated UserLoginRo ro)  {

        UserLoginVo vo = userLoginService.userLogin(ro);
        return vo;
    }

    @ApiOperation("用户登出登记")
    @PostMapping("/out")
    public PublicVo out(@RequestBody @Validated UserOutRo ro)  {

        PublicVo vo = userLoginService.userOut(ro);
        return vo;
    }
}

