package com.abcsz.litigationcase.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户登陆记录表
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-28
 */
@Data
@TableName("tb_user_login")
@ApiModel(value = "UserLoginEntity对象", description = "用户登陆记录表")
public class UserLoginEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "登陆记录id")
    @TableId(value = "login_id", type = IdType.ASSIGN_UUID)
    private String loginId;

    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "登录时间")
    private Date loginTime;

    @ApiModelProperty(value = "登出时间")
    private Date outTime;

    @TableField(value = "txt_hold_1")
    private String txtHold1;

    @TableField(value = "txt_hold_2")
    private String txtHold2;

    @ApiModelProperty(value = "是否失效 0-正常 9-失效")
    private Integer delFlag;


}
